Cocoon API: Class FO2PDFFormatter

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.formatter
Class FO2PDFFormatter

    java.lang.Object
      |
      +--org.apache.cocoon.formatter.AbstractFormatter
            |
            +--org.apache.cocoon.formatter.FO2PDFFormatter

All Implemented Interfaces:
  Actor, Cacheable, Configurable, Formatter, Status

public class FO2PDFFormatter
extends AbstractFormatter
implements Actor

This class wraps around FOP to perform XSL:FO to PDF formatting.

Version:
  $Revision: 1.9 $ $Date: 2001/01/22 03:58:40 $
Author:
  Stefano Mazzocchi, Robin Green

Field Summary
`protected Director` | `director`
`protected Parser` | `parser`
`protected Formatter` | `xmlFormatter`

Fields inherited from class org.apache.cocoon.formatter.AbstractFormatter
`doctypePublic, doctypeSystem, encoding, format, indent, lineWidth, MIMEtype, preserveSpace, statusMessage`

Constructor Summary
`FO2PDFFormatter()`

Method Summary
`protected void` | `deferredInit()`
`void` | `format(org.w3c.dom.Document document, java.io.Writer writer, java.util.Dictionary parameters)` Prints the give document into a page.
`void` | `init(Configurations conf)` Initialize the class by passing its configurations.
`void` | `init(Director director)` Initialize the actor by indicating their director.

Methods inherited from class org.apache.cocoon.formatter.AbstractFormatter
`getEncoding, getMIMEType, getStatus, isCacheable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### director

    protected Director director

### xmlFormatter

    protected Formatter xmlFormatter

### parser

    protected Parser parser

Constructor Detail

### FO2PDFFormatter

    public FO2PDFFormatter()

Method Detail

### init

    public void init(Configurations conf)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Overrides:
    `init` in class `AbstractFormatter`

### init

    public void init(Director director)

  Description copied from interface: `Actor`
  Initialize the actor by indicating their director.
  Specified by:
    `init` in interface `Actor`

### deferredInit

    protected void deferredInit()
                         throws java.lang.Exception

### format

    public void format(org.w3c.dom.Document document,
                       java.io.Writer writer,
                       java.util.Dictionary parameters)
                throws java.lang.Exception

  Description copied from interface: `Formatter`
  Prints the give document into a page.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.